summaryrefslogtreecommitdiff
path: root/tests/mv/hard-link-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-12-04 17:24:19 +0000
committerJim Meyering <jim@meyering.net>1999-12-04 17:24:19 +0000
commit8c096b86ef41bbb35be91beb15f669833cbc1abb (patch)
tree6828041f7f41680fa0d757826b5b59ccf11af243 /tests/mv/hard-link-1
parent698fd027984026be23a971e368d2ce724b345bfc (diff)
downloadcoreutils-8c096b86ef41bbb35be91beb15f669833cbc1abb.tar.xz
Use mv, ls, rm, not $MV, $LS, $RM.
Diffstat (limited to 'tests/mv/hard-link-1')
-rwxr-xr-xtests/mv/hard-link-118
1 files changed, 6 insertions, 12 deletions
diff --git a/tests/mv/hard-link-1 b/tests/mv/hard-link-1
index 0d6376529..2f4b792a0 100755
--- a/tests/mv/hard-link-1
+++ b/tests/mv/hard-link-1
@@ -2,15 +2,9 @@
# move a directory containing hard-linked files and
# make sure the links are preserved
-: ${MV=mv}
-: ${RM=rm}
-: ${MKDIR=mkdir}
-: ${LN=ln}
-: ${LS=ls}
-
if test "$VERBOSE" = yes; then
set -x
- $MV --version
+ mv --version
fi
. $srcdir/setup
@@ -22,9 +16,9 @@ fi
dir=hlink
framework_failure=0
-$MKDIR $dir || framework_failure=1
+mkdir $dir || framework_failure=1
> $dir/a || framework_failure=1
-$LN $dir/a $dir/b || framework_failure=1
+ln $dir/a $dir/b || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
@@ -39,16 +33,16 @@ export LC_ALL
LANG=C
export LANG
-$MV $dir $other_partition_tmpdir || fail=1
+mv $dir $other_partition_tmpdir || fail=1
# Display inode numbers, one per line.
-$LS -1i $other_partition_tmpdir/$dir > out || fail=1
+ls -1i $other_partition_tmpdir/$dir > out || fail=1
# Make sure the inode numbers are the same.
a=`sed -n 's/ a$//p' out`
b=`sed -n 's/ b$//p' out`
test "$a" = "$b" || fail=1
-$RM -fr out $dir $other_partition_tmpdir
+rm -fr out $dir $other_partition_tmpdir
exit $fail